net.corda.node.services.database

## Class KotlinConfigurationTransactionWrapper

- net.corda.node.services.database.KotlinConfigurationTransactionWrapper

-     public class KotlinConfigurationTransactionWrapper

  Requery KotlinConfiguration wrapper class to enable us to pass in an existing database connection and associated transaction context.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `KotlinConfigurationTransactionWrapper.CordaConnection`
    `static class` | `KotlinConfigurationTransactionWrapper.CordaDataSourceConnectionProvider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KotlinConfigurationTransactionWrapper(io.requery.meta.EntityModel model, javax.sql.DataSource dataSource, io.requery.sql.Mapping mapping, io.requery.sql.Platform platform, io.requery.EntityCache cache, boolean useDefaultLogging, int statementCacheSize, int batchUpdateSize, boolean quoteTableNames, boolean quoteColumnNames, io.requery.util.function.Function<java.lang.String,java.lang.String> tableTransformer, io.requery.util.function.Function<java.lang.String,java.lang.String> columnTransformer, io.requery.sql.TransactionMode transactionMode, io.requery.TransactionIsolation transactionIsolation, java.util.Set<? extends io.requery.sql.StatementListener> statementListeners, java.util.Set<? extends io.requery.sql.EntityStateListener<java.lang.Object>> entityStateListeners, java.util.Set<? extends io.requery.util.function.Supplier<io.requery.TransactionListener>> transactionListeners, java.util.concurrent.Executor writeExecutor)` Requery KotlinConfiguration wrapper class to enable us to pass in an existing database connection and associated transaction context.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBatchUpdateSize()`
    `io.requery.EntityCache` | `getCache()`
    `io.requery.util.function.Function<java.lang.String,java.lang.String>` | `getColumnTransformer()`
    `io.requery.sql.ConnectionProvider` | `getConnectionProvider()`
    `java.util.Set<io.requery.sql.EntityStateListener>` | `getEntityStateListeners()`
    `io.requery.sql.Mapping` | `getMapping()`
    `io.requery.meta.EntityModel` | `getModel()`
    `io.requery.sql.Platform` | `getPlatform()`
    `boolean` | `getQuoteColumnNames()`
    `boolean` | `getQuoteTableNames()`
    `int` | `getStatementCacheSize()`
    `java.util.Set<io.requery.sql.StatementListener>` | `getStatementListeners()`
    `io.requery.util.function.Function<java.lang.String,java.lang.String>` | `getTableTransformer()`
    `io.requery.TransactionIsolation` | `getTransactionIsolation()`
    `java.util.Set<io.requery.util.function.Supplier>` | `getTransactionListenerFactories()`
    `io.requery.sql.TransactionMode` | `getTransactionMode()`
    `boolean` | `getUseDefaultLogging()`
    `java.util.concurrent.Executor` | `getWriteExecutor()`

- - ### Constructor Detail

    - #### KotlinConfigurationTransactionWrapper

          public KotlinConfigurationTransactionWrapper(io.requery.meta.EntityModel model,
                                                       javax.sql.DataSource dataSource,
                                                       io.requery.sql.Mapping mapping,
                                                       io.requery.sql.Platform platform,
                                                       io.requery.EntityCache cache,
                                                       boolean useDefaultLogging,
                                                       int statementCacheSize,
                                                       int batchUpdateSize,
                                                       boolean quoteTableNames,
                                                       boolean quoteColumnNames,
                                                       io.requery.util.function.Function<java.lang.String,java.lang.String> tableTransformer,
                                                       io.requery.util.function.Function<java.lang.String,java.lang.String> columnTransformer,
                                                       io.requery.sql.TransactionMode transactionMode,
                                                       io.requery.TransactionIsolation transactionIsolation,
                                                       java.util.Set<? extends io.requery.sql.StatementListener> statementListeners,
                                                       java.util.Set<? extends io.requery.sql.EntityStateListener<java.lang.Object>> entityStateListeners,
                                                       java.util.Set<? extends io.requery.util.function.Supplier<io.requery.TransactionListener>> transactionListeners,
                                                       java.util.concurrent.Executor writeExecutor)

      Requery KotlinConfiguration wrapper class to enable us to pass in an existing database connection and associated transaction context.

  - ### Method Detail

    - #### getBatchUpdateSize

          public int getBatchUpdateSize()

    - #### getConnectionProvider

          public io.requery.sql.ConnectionProvider getConnectionProvider()

    - #### getCache

          public io.requery.EntityCache getCache()

    - #### getEntityStateListeners

          public java.util.Set<io.requery.sql.EntityStateListener> getEntityStateListeners()

    - #### getMapping

          public io.requery.sql.Mapping getMapping()

    - #### getModel

          public io.requery.meta.EntityModel getModel()

    - #### getPlatform

          public io.requery.sql.Platform getPlatform()

    - #### getQuoteTableNames

          public boolean getQuoteTableNames()

    - #### getQuoteColumnNames

          public boolean getQuoteColumnNames()

    - #### getTableTransformer

          public io.requery.util.function.Function<java.lang.String,java.lang.String> getTableTransformer()

    - #### getColumnTransformer

          public io.requery.util.function.Function<java.lang.String,java.lang.String> getColumnTransformer()

    - #### getStatementCacheSize

          public int getStatementCacheSize()

    - #### getStatementListeners

          public java.util.Set<io.requery.sql.StatementListener> getStatementListeners()

    - #### getTransactionMode

          public io.requery.sql.TransactionMode getTransactionMode()

    - #### getTransactionIsolation

          public io.requery.TransactionIsolation getTransactionIsolation()

    - #### getTransactionListenerFactories

          public java.util.Set<io.requery.util.function.Supplier> getTransactionListenerFactories()

    - #### getUseDefaultLogging

          public boolean getUseDefaultLogging()

    - #### getWriteExecutor

          public java.util.concurrent.Executor getWriteExecutor()